// header // 

// navigation item // 

@mixin navItem {
    font-size: 16px;
    color: $raisinBlack;
    
    .item__text {
        transition: 0.4s ease;
    }

    @media (max-width: 768px) {
        .item__text {
            font-family: 'Yeseva One';
            font-size: 20px;
        }
    }

    &:hover {
        .item__text {
            color: $lustHover;
        }
       

        .item__icon {
            path {
                fill: $lustHover;
            }
        }
    }
}

// dropdown // 

@mixin showList {
    &:hover {
        .hover__list {
            display: block;
        }
    }
}

@mixin dropdown {
    position: absolute;
    background-color: $white;
    width: max-content;
    border-radius: 8px;
    box-shadow: 0px 0px 16px 0px rgba(0, 0, 0, 0.2);

    .menu-dropdown__wrapper {
        display: flex;
        justify-content: space-between;
        gap: 10px;
    }

    @media (max-width: 768px) {
        position: relative;
        left: 0;
        width: 100%;
        box-shadow: none;
        background-color: transparent;
        margin-bottom: 10px;
        border: 1px solid $lightSilver;

        .arrow {
            transform: rotate(90deg);
        }
    }
}

@mixin dropdownItem {
    width: auto;
    position: relative;
    background-color: $white;
    color: $outerSpace;
    transition: 0.2s ease;

    &:first-child {
        border-top-right-radius: 8px;
        border-top-left-radius: 8px;
    }

    &:last-child {
        border-bottom-right-radius: 8px;
        border-bottom-left-radius: 8px;
    }

    &:not(:last-child) {
        border-bottom: 1px solid $lightSilver;
    }

    &:hover {
        color: $lustHover;

        span {
            svg {
                path {
                    fill: $lustHover;
                }
            }
        }
    }

    @media (max-width: 768px) {
        background-color: transparent;

        &:first-child {
            border-top-right-radius: 0;
            border-top-left-radius: 0;
        }
    
        &:last-child {
            border-bottom-right-radius: 0;
            border-bottom-left-radius: 0;
        }
    }
}

@mixin dropdownLink  {
    display: flex;
    font-size: 16px;
    align-items: center;
    gap: 8px;
    
    span {
        display: flex;
    }
}

@mixin menuDropdownSubLink  {
    display: flex;
    font-size: 16px;
    align-items: center;
    gap: 8px;
    color: $outerSpace;
    
    span {
        display: flex;
    }
}

@mixin navLink {
    font-size: 16px;                    
    position: relative;
    transition: 0.4s ease;

    &:hover {
        color: $lust;
    }

    @media (max-width: 1024px) {
        font-size: 14px;       
    }
}

@mixin headerItem {
    display: flex;
    align-items: center;
    color: $outerSpace;
    gap: 5px;
    padding: 0.7rem;
    transition: 0.4s ease;
    cursor: pointer;

    svg {
        path {
            transition: 0.4s ease;
        }
    }
    
    .name__link {
        display: none;
    }
    
    @media (max-width: 768px) {
        position: initial;
        background-color: transparent;
        box-shadow: none;
        border-radius: 0;
        flex-direction: column;
        gap: 10px;
        flex: 0 0 20%;
        border-right: 1px solid $silverChalice;

        &:first-child {
            border-left: 1px solid $silverChalice;
        }
       
        svg {
            path {
                fill: $outerSpace;
            }
        }

        &:hover {
            background-color: transparent;
        }

        .name__link {
            display: block;
            color: $outerSpace;
        }
    }

    @media (max-width: 576px) {
        gap: 5px;
        padding: 0.5rem;

        svg {
           width: 25px;
        }

        &:hover {
            background-color: transparent;
        }

        .name__link {
            font-size: 14px;
        }
    }

    @media (max-width: 425px) {
        padding: 1rem;

        .name__link {
            display: none;
        }
    }

}

// burger mobile // 

@mixin burger {
    position: absolute;
    width: 25px;
    height: 2px;
    background-color: $outerSpace;
    
    &:before {
        content: '';
        display: block;
        position: absolute;
        width: 25px;
        height: 2px;
        background-color: $outerSpace;
        top: -7px;
        transition: 0.4s ease;
    }

    &::after {
        content: '';
        display: block;
        position: absolute;
        width: 25px;
        height: 2px;
        background-color: $outerSpace;
        top: 7px;
        transition: 0.4s ease;
    }
}

@mixin burgerActive {
    width: 0;
    height: 0;

    &:before {
       transform: rotate(45deg);
       top: 0;
    }

    &::after {
        transform: rotate(-45deg);
        top: 0;
    }
}

// main // 

// section // 

@mixin sectionTitle {
    font-family: 'TT Norms Pro';
    color: $outerSpace;
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
    font-size: 36px;
    gap: 20px;
    margin-bottom: 50px;
    text-transform: uppercase;

    @media (max-width: 1280px) {
        font-size: 32px;
    }

    @media (max-width: 1024px) {
        font-size: 28px;
    }

    @media (max-width: 576px) {
        margin-bottom: 40px;
        font-size: 26px;
    }
}

// color section // 

@mixin colorSection {
    padding-top: 150px;
    padding-bottom: 150px;
    color: $white;

    @media (max-width: 1024px) {
        padding-top: 100px;
        padding-bottom: 100px;
    }
    
    @media (max-width: 576px) {
        padding-top: 80px;
        padding-bottom: 80px;
    }
    
}

@mixin colorTitle {
    color: $white;
}

// breadcrumb //

@mixin breadcrumbLink {
    font-size: 16px;
    cursor: pointer;

    &:not(:last-child) {
        color: $white;
        transition: 0.4s ease;

        &::after {
            content: '/';
            color: $white;
            padding-left: 10px;
            padding-right: 10px;

        }

        &:hover {
            color: $lustHover;
        }
    }

    &:last-child {
        color: $silverChalice;
        cursor: not-allowed;
    }
}

@mixin breadcrumbLinkCatalog {
    &:not(:last-child) {
        color: $outerSpace;
    
        &::after {
            color: $outerSpace;
        }

        &:hover {
            color: $lustHover;
        }
    }
}

// block // 

@mixin blockTitle {
    font-family: 'Yeseva One';
    font-size: 30px;
    font-weight: bold;
    text-align: center;
    margin-bottom: 50px;
   
    @media (max-width: 1280px) {
        margin-bottom: 40px;
    }

    @media (max-width: 1024px) {
        font-size: 22px;
        margin-bottom: 38px;
    }

    @media (max-width: 576px) {
        font-size: 20px;
        margin-bottom: 22px;
    }
}

// main section //

@mixin mainTitle {
    font-family: 'Yeseva One';
    display: flex;
    flex-direction: column;
    gap: 10px;
    text-align: center;
    font-weight: bold;
    margin-bottom: 80px;
    color: $white;
    position: relative;
    z-index: 1;
    text-transform: uppercase;

    span {
        &:nth-child(1) {
            font-size: 48px;

            @media (max-width: 1024px) {
                font-size: 36px;
            }

            @media (max-width: 576px) {
                font-size: 27px;
            }
        }

        &:nth-child(2) {
            font-size: 64px;

            @media (max-width: 1024px) {
                font-size: 48px;
            }

            @media (max-width: 576px) {
                font-size: 36px;
            }
        }

        &:nth-child(3) {
            font-size: 32px;

            @media (max-width: 1024px) {
                font-size: 24px;
            }

            @media (max-width: 576px) {
                font-size: 18px;
            }
        }

        &:last-child {
            color: $persianGreen1;
        }
    }
    
    @media (max-width: 768px) {
        margin-bottom: 50px;
    }

    @media (max-width: 425px) {
        margin-bottom: 40px;
    }
}

// main description block // 

@mixin mainDescriptionItem {
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 18px;
    width: 280px;

    .main-description__icon {
        width: 100px;
        height: 100px;
    }

    @media (max-width: 1280px) {
        justify-content: start;
        width: 220px;
    }

    @media (max-width: 576px) {
        width: 320px;
    }
}

// calculate block // 

@mixin calculateTitle {
    font-size: 20px;
    text-align: center;
    margin-bottom: 2em;

    span {
        font-size: 24px;
        color: $lust;
    }
}

@mixin calculateButton {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 10px;
    width: 100%;
    background-color: $deepJungleGreen;
    padding: 1em;
    border-radius: 8px;
    transition: 0.4s ease;

    span {
        display: flex;
    }
    
    &:hover {
        background-color: $deepJungleGreenHover;
        box-shadow: 0px 10px 15px -5px rgba(111, 111, 111, 0.602);
    }
}

@mixin calculateInput {
    height: 100%;
    width: 100%;
    border-radius: 8px;
    text-indent: 20px;
}

// description work // 

@mixin descriptionWorkTitle {
    font-size: 20px;
    font-weight: normal;
    margin-bottom: 15px;

    @media (max-width: 576px) {
        font-size: 16px;
    }
}

@mixin descriptionWorkText {
    font-size: 16px;
    font-weight: normal;

    @media (max-width: 576px) {
        font-size: 14px;
    }
}

// works block // 

@mixin worksTitle {
    font-size: 18px;
    text-align: center;
    color: $darkCharcoal;

    @media (max-width: 1024px) {
        font-size: 16px;
    }
}

// catalog // 

@mixin productName {
    font-size: 16px;
    font-weight: normal;
    color: $outerSpace;
    transition: 0.4s ease;
   
    @media (max-width: 576px) {
        font-size: 14px;
    }
}

@mixin productPrice {
    font-size: 20px;
    color: $black;

    @media (max-width: 576px) {
        font-size: 18px;
    }
}

@mixin priceButton {
    display: flex;
    align-items: center;
    justify-content: center;
    width: fit-content;
    border-radius: 100%;
    background-color: $deepJungleGreen;
    color: $white;
    padding: 1rem;
    transition: 0.2s ease;
    position: relative;
    bottom: 0;

    &:hover {
        bottom: 5px;
        background-color: $deepJungleGreenHover;
    }

    @media (max-width: 576px) {
        padding: 0.8rem;

        svg {
            width: 22px;
            height: 22px;
        }
    }

    @media (max-width: 475px) {
        padding: 0.5rem;

        svg {
            width: 20px;
            height: 20px;
        }
    }
}

// text content // 

@mixin contentText {
    color: $outerSpace;
    font-size: 18px;
    font-weight: 300;
    letter-spacing: 0.5px;

    @media (max-width: 768px) {
        font-size: 16px;
    }
}


// stages slider // 

@mixin stageNumber {
    display: inline-block;
    font-size: 30px;
    font-weight: bold;
    margin-bottom: 45px;
    background-color: $white;
    color: $outerSpace;
    padding: 1rem;
    border-radius: 8px;

    @media (max-width: 1024px) {
        font-size: 25px;
        margin-bottom: 26px;
    }

    @media (max-width: 768px) {
        font-size: 20px;
        margin-bottom: 20.8px;
    }
}

@mixin stageTitle {
    font-size: 35px;
    font-weight: normal;
    margin-bottom: 15px;

    @media (max-width: 1024px) {
        font-size: 28px;
        margin-bottom: 12px;
    }

    @media (max-width: 768px) {
        font-size: 22.4px;
        margin-bottom: 9.6px;
    }
}

@mixin stageText {
    font-size: 20px;

    @media (max-width: 1024px) {
        font-size: 16px;
    }

    @media (max-width: 768px) {
        font-size: 14px;
    }
}

// service link // 

@mixin serviceText {
    font-size: 20px;
    transition: 0.4s ease;

    @media (max-width: 1280px) {
        font-size: 18px;
    }
}

// Footer // 


@mixin copyright {
    font-size: 12px;
}

@mixin footerTitle {
    font-size: 20px;
    margin-bottom: 15px;
}

@mixin footerContacts {
    font-size: 14px;
    transition: 0.4s ease;

    &:not(:last-child) {
        margin-bottom: 10px;
    }

    &:hover {
        color: $lustHover;
    }
}

@mixin footerInfo {
    display: block;
    font-size: 10px;
    color: $gray;
    margin-top: 10px;

    @media (max-width: 1024px) and (min-width: 769px)  {
        margin-top: 0;
    }
}

@mixin footerLink {
    font-size: 16px;
    transition: 0.4s ease;
    
    &:not(:last-child) {
        margin-bottom: 10px;
    }

    &:hover {
        color: $lustHover;
    }
}

// Arrow link // 

@mixin arrowLink {
    display: flex;
    align-items: center;
    gap: 5px;
}


// lighting objects block //

@mixin lightingObjectsTitle {
    font-size: 20px;

    @media (max-width: 1280px) {
        font-size: 18px;
    }

    @media (max-width: 768px) {
        font-size: 16px;
    }
}


// complex light block // 

@mixin complexLightTitle {
    font-size: 30px;
    text-align: center;

    @media (max-width: 1280px) {
        font-size: 22px;
    }

    @media (max-width: 1024px) {
        font-size: 20px;
    }

    @media (max-width: 768px) {
        font-size: 16px;
    }
}


// accordion // 

@mixin accordionTitle {
    font-size: 25px;
    color: $deepJungleGreen;

    @media (max-width: 1024px) {
        font-size: 20px;
    }

    @media (max-width: 425px) {
        font-size: 18px;
    }
}

@mixin accordionText {
    margin-top: 20px;
    font-size: 18px;
    line-height: 25px;

    @media (max-width: 1024px) {
        font-size: 18px;
        margin-top: 15px;
    }

    @media (max-width: 768px) {
        font-size: 16px;
    }

    @media (max-width: 425px) {
        font-size: 15px;
    }
}

// lighting project block // 

@mixin lightingProjectTitle {
    font-size: 20px;

    @media (max-width: 768px) {
        font-size: 18px;
    }
}

@mixin lightingProjectText {
    font-size: 16px;
}

// reviews slider // 

@mixin reviewTitle {
    font-size: 25px;
    margin-bottom: 20px;

    @media (max-width: 1024px) {
        font-size: 20px;
        margin-bottom: 15px;
    }
}

@mixin reviewText {
    font-size: 16px;
    line-height: 1.5;

    &:not(:last-child) {
        margin-bottom: 10px;
    }
    
    @media (max-width: 1024px) {
        font-size: 15px;

        &:not(:last-child) {
            margin-bottom: 10px;
        }
    }
}

// team //

@mixin teamName {
    font-size: 20px;
    margin-bottom: 15px;
    background-color: $deepJungleGreen;
    color: $white;
    border-radius: 8px;
    padding: 1rem;
   
    @media (max-width: 1024px) {
        font-size: 18px;
        padding: 0.5rem;
        margin-bottom: 10px;
    }

}

@mixin teamProfession {
    font-size: 18px;
    
    @media (max-width: 1024px) {
        font-size: 16px;
    }
}


// electrical block // 

@mixin electricalTitle {
    font-size: 18px;
    background-color: $deepJungleGreen;
    color: $white;
    width: 100%;
    text-align: center;
    padding: 1rem;
    border-radius: 8px;
    box-shadow: 0px 10px 15px -5px rgba(111, 111, 111, 0.602);

    @media (max-width: 576px) {
        font-size: 16px;
        padding: 0.5rem;
    }
}

// finished-work__block // 

@mixin finishedTitle {
    text-align: center;
    font-size: 20px;
}

@mixin finishedItem {
    font-size: 18px;
    line-height: 1.5;
}

@mixin finishedPrice {
    font-size: 25px;
    text-align: center;
}

@mixin finishedButton {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 10px;
    background-color: $deepJungleGreen;
    padding: 1em;
    border-radius: 8px;
    width: 100%;
    transition: 0.4s ease;
    color: $white;

    &:hover {
        background-color: $deepJungleGreenHover;
    }

}


// Service main page // 

@mixin servicesPageLink {
    font-size: 25px;
    background-color: $lightSilver;
    color: $outerSpace;
    padding: 1.5rem;
    border-top-left-radius: 10px;
    border-top-right-radius: 10px;
    cursor: pointer;
    display: flex;
    align-items: center;
    gap: 10px;
    transition: 0.4s ease;

    @media (max-width: 1280px) {
        font-size: 20px;
        align-items: unset;
    }

    @media (max-width: 1024px) {
        font-size: 18px;
        padding: 1rem;
    }

    svg {
        path {
            transition: 0.4s ease;
        }
    }

    &:nth-last-child {
        border-bottom-left-radius: 8px;
        border-bottom-right-radius: 8px;                 
    }

    &:hover {
        color: $lustHover;

        svg {
            path {
                fill: $lust;
            }
        }
    }
}

@mixin servicesSubpageItem {
    cursor: pointer;
    font-size: 20px;
    transition: 0.4s;

    @media (max-width: 1280px) {
        font-size: 18px;
    }

    @media (max-width: 1024px) {
        font-size: 16px;
    }

    &::marker {
        color: $outerSpace;
        transition: 0.4s;
    }

    &:not(:last-child) {
        margin-bottom: 10px;
    }

    &:hover {
        color: $lustHover;
        
        &::marker {
            color: $lustHover;
        }
    }


}

// contacts //

@mixin contactsItem {
    color: $black;
    font-size: 22px;
    transition: 0.4s ease;

    @media (max-width: 576px) {
        font-size: 18px;
    }

    svg {
        path {
            transition: 0.4s ease;
        }

        @media (max-width: 576px) {
            width: 15px;
        }

    }

    &:hover {
        color: $lustHover;

        svg {
            path {
                fill: $lustHover;
            }
        }

    }

    .contacts__link {
        display: flex;
        align-items: center;
        justify-content: center;
        flex-wrap: wrap;
        gap: 5px;

        span {
            display: flex;
        }
    }
}


// basket // 

@mixin cardTitle {
    font-size: 18px;
    overflow: hidden;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;

    @media (max-width: 768px) {
        font-size: 16px;
    }

    @media (max-width: 425px) {
        font-size: 14px;
    }

}

@mixin cardPrice {
    font-size: 20px;

    @media (max-width: 768px) {
        font-size: 18px;
    }
}

@mixin cardCloseButton {
    position: absolute;
    display: flex;
    align-items: center;
    gap: 5px;
    right: 10px;
    top: 10px;
    font-size: 14px;
    color: $silverChalice;
    transition: 0.4s ease;

    @media (max-width: 768px) {
        font-size: 12px;
        right: 7px;
        top: 7px;

        span {
            svg {
                width: 8px;
            }
        }
    }

    span {
        display: flex;

        svg {
            path {
                transition: 0.4s ease;
            }
        }
    }

    &:hover {
        color: $lustHover;

        span {
            svg {
                path {
                    fill: $lustHover;
                }
            }
        }
    }
}

@mixin basketEmptyButton {
    display: flex;
    align-items: center;
    gap: 10px;
    font-size: 16px;
    padding: 1rem;
    border: 1px solid $lust;
    border-radius: 8px;
    color: $lust;
    transition: 0.4s ease;
    width: 100%;
    justify-content: center;

    span {
        display: flex;

        svg {
            path {
                transition: 0.4s ease;
            }
        }
    }

    &:hover {
        box-shadow: 0px 10px 15px -5px rgba(111, 111, 111, 0.602);
        border: 1px solid $lustHover;
        color: $lustHover;

        svg {
            path {
                fill: $lustHover;
            }
        }
    }
}

@mixin orderTitle {
    display: flex;
    align-items: center;
    gap: 10px;
    font-size: 20px;
    font-weight: 400;
    color: $outerSpace;
    background-color: $lightSilver;
    border-top-left-radius: 8px;
    border-top-right-radius: 8px;
    padding: 1rem;

    span {
        display: flex;
    }
}

@mixin orderName {
    font-size: 16px;
    color: $outerSpace;
    background-color: $white;
    z-index: 1;
    padding-right: 10px;
}

@mixin orderAmount {
    font-size: 16px;
    font-weight: 500;
    color: $black;
    background-color: $white;
    z-index: 1;
    padding-left: 10px;
}

@mixin orderButton {
    display: flex;
    align-items: center;
    gap: 10px;
    font-size: 16px;
    padding: 1rem;
    background-color: $deepJungleGreen;
    border-radius: 8px;
    color: $white;
    transition: 0.4s ease;
    width: 100%;
    justify-content: center;

    span {
        display: flex;
    }

    &:hover {
        box-shadow: 0px 10px 15px -5px rgba(111, 111, 111, 0.602);
        background-color: $deepJungleGreenHover;
    }
}

// Filters //

@mixin mobileFilterOpenButton {
    display: none;
    position: fixed;
    top: 85px;
    right: 15px;
    border-radius: 100%;
    padding: 0.7rem;
    gap: 5px;
    background-color: $lust;
    box-shadow: 0px 10px 15px -5px rgba(111, 111, 111, 0.602);
    z-index: 2;

    span {
        display: flex;
    }
    
    @media (max-width: 768px) {
        display: flex;
        align-items: center;
    }
}

@mixin mobileFilterCloseButton {
    display: none;
    font-size: 14px;
    gap: 5px;
    color: $silverChalice;
    padding-top: 15px;

    @media (max-width: 768px) {
        display: flex;
        justify-content: end;
        align-items: center;
    }
}

@mixin filterTitle {
    display: flex;
    align-items: center;
    gap: 10px;
    font-size: 20px;
    font-weight: 400;
    color: $outerSpace;
    background-color: $lightSilver;
    border-top-left-radius: 8px;
    border-top-right-radius: 8px;
    padding: 1rem;

    span {
        display: flex;
    }
}

// Filters Accordion // 

@mixin filterAccordionTitle {
    display: flex;
    align-items: center;
    justify-content: space-between;
    font-weight: 400;
    gap: 10px;
    font-size: 18px;
    color: $black;
    transition: 0.4s ease;

    span {
        display: flex;

        svg {
            transition: 0.4s ease;

            path {
                transition: 0.4s ease;
            }
        }
    }

    &:hover {
        color: $outerSpace;

        span {
            svg {
                path {
                    fill: $outerSpace;
                }
            }
        }
    }
}

@mixin filterGroupLabel {
    cursor: pointer;
    display: flex;
    align-items: center;
    transition: 0.4s ease;
    position: relative;
    font-size: 16px;
    color: $silverChalice;
    overflow: hidden;
    text-overflow: ellipsis;
    -webkit-line-clamp: 1;
    display: -webkit-box;
    -webkit-box-orient: vertical;

    &:before {
        transition: 0.4s ease;
        content:'';
        background-color: transparent;
        border: 1px solid $silverChalice;
        border-radius: 4px;
        padding: 10px;
        display: inline-block;
        position: relative;
        vertical-align: middle;
        cursor: pointer;
        margin-right: 8px;
    }
}

@mixin filterShowButton {
    display: flex;
    align-items: center;
    gap: 10px;
    font-size: 16px;
    padding: 1rem;
    background-color: $deepJungleGreen;
    border-radius: 8px;
    color: $white;
    transition: 0.4s ease;
    width: 100%;
    justify-content: center;

    &:hover {
        box-shadow: 0px 10px 15px -5px rgba(111, 111, 111, 0.602);
        background-color: $deepJungleGreenHover;
    }
}

@mixin filterClearButton {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 5px;
    font-size: 14px;
    width: 100%;
    color: $silverChalice;
    transition: 0.4s ease;
    padding-bottom: 10px;

    span {
        svg {
            path {
                transition: 0.4s ease;
            }
        }
    }

    &:hover {
        color: $lust;

        span {
            svg {
                path {
                    fill: $lust;
                }
            }
        }
    }
}

// product card //

@mixin productDescriptionTitle {
    font-size: 15px;
    font-weight: bold;
    margin-bottom: 15px;
    color: $outerSpace;
}

@mixin productDescriptionText {
    font-size: 15px;
    color: $silverChalice;

    &:not(:last-child) {
        margin-bottom: 20px;
    }
}

@mixin productDescriptionItem {
    font-size: 16px;
    color: $silverChalice;

    &:not(:last-child) {
        margin-bottom: 5px;
    }
}

@mixin cardBlockPrice {
    font-size: 30px;
    font-weight: bold;
    color: $black;
}

@mixin buyButton {
    display: flex;
    align-items: center;
    gap: 10px;
    font-size: 16px;
    padding: 1rem;
    border: 2px solid $deepJungleGreen;
    background-color: $white;
    border-radius: 8px;
    color: $deepJungleGreen;
    transition: 0.4s ease;
    width: 100%;
    justify-content: center;

    span {
        display: flex;
    }

    &:hover {
        box-shadow: 0px 10px 15px -5px rgba(111, 111, 111, 0.602);
        border: 2px solid $lustHover;
        color: $lustHover;
    }
}

// tabs block // 

@mixin tabButton {
    font-size: 16px;
    padding: 1rem;
    color: $outerSpace;
    transition: 0.4s ease;

    &:hover {
        color: $lust;
    }

    &:first-child {
        border-top-left-radius: 8px;
    }
}

// page button // 

@mixin pageButton {
    border: 1px solid $lightSilver;
    font-size: 16px;
    border-radius: 8px;
    padding: 1rem;
    width: 55px;
    height: 55px;
    transition: 0.4s ease;

    &:hover {
        box-shadow: 0px 10px 15px -5px rgba(111, 111, 111, 0.602);
        color: $lustHover;
    }

    @media (max-width: 1024px) {
        padding: 0.5rem;
        width: 45px;
        height: 45px;
    }

    @media (max-width: 425px) {
        font-size: 14px;
        width: 40px;
        height: 40px;
    }
}


// select style // 

@mixin dataTitle {
    font-size: 16px;
    color: $outerSpace;
    margin-bottom: 10px;
}

// modals // 

@mixin modalTitle {
    font-family: 'Yeseva One';
    font-size: 25px;
    text-align: center;
    margin-bottom: 40px;
}

@mixin modalInput {
    width: 100%;
    height: 55px;
    border: 1px solid $lightSilver;
    border-radius: 8px;
    text-indent: 15px;
}

@mixin errorLink {
    font-size: 20px;
    color: $outerSpace;
    position: absolute;
    bottom: 80px;
    right: 150px;
    color: $lust;
    transition: 0.4s ease;

    &:hover {
        color: $lustHover
    }

    @media (max-width: 1024px) {
        bottom: 60px;
        right: 100px;
    }

    @media (max-width: 768px) {
        bottom: 197px;
        right: 117px
    }
}